// nova-tourism/components/nav/nav.js
let {
    statusBarHeight,
    screenHeight,
    safeArea: {
        bottom
    }
} = wx.getSystemInfoSync();
statusBarHeight = Math.abs(statusBarHeight)
let custom = wx.getMenuButtonBoundingClientRect();
let customBarHeight = custom.bottom + custom.top - statusBarHeight;
customBarHeight = Math.abs(customBarHeight)
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        title: {
            value: '首页',
            type: String
        },
        fontColor: {
            value: '#ffffff',
            type: String
        },
        type: {
            value: 'title',
            type: String
        },
        frontColor: {
            value: '#ffffff',
            type: String,
        },
        backgroundImg: {
            value: '#ffffff',
            type: String,
        },
    },

    /**
     * 组件的初始数据
     */
    data: {
        statusBarHeight,
        customBarHeight,
        screenHeight,
    },

    /**
     * 组件的方法列表
     */
    methods: {

    }
})
